#pragma once

// Messages sent by SCPatch components must all be of type kSCMessageClass.
// All lowercase message ID's are reserved for internal library use.  Define
// any messages of your own using upper or mixed case AE ID's.
#define	kSCMessageClass		'SCmg'


// Ping:
//	controller -> client to test for existence of patch
#define		kSCPing			'ping'
//			no params


// LoadResult:
//	loader -> controller to notify of status of patch loading
#define 	kSCLoadResult	'load'
#define			keyBundleID	'bndl'	// typeChar - bundleID of patch
#define			keyError	'err '	// typeInteger - error code (mach_error_t)


// PatchSuccess:
//	client -> controller to notify it of successful patch installation
//	and initialization.
#define		kSCPatchSuccess	'p_ok'
// 				keyBundleID	'bndl'	// typeChar
#define			keyPSN		'proc'	// typeProcessSerialNumber
